Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122211

Summary: Review Request: nodejs-ast-types - Esprima-compatible implementation of the Mozilla JS Parser API
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 17:23:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122220, 1122234    

Description Ralph Bean 2014-07-22 19:03:44 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-ast-types.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-ast-types-0.4.5-1.fc20.src.rpm

Description:
This module provides an efficient, modular, Esprima-compatible implementation
of the abstract syntax tree type hierarchy pioneered by the Mozilla Parser API.

Comment 1 Parag AN(पराग) 2014-07-23 08:44:01 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-ast-types.noarch: W: spelling-error Summary(en_US) Esprima -> Esprit
nodejs-ast-types.noarch: W: only-non-binary-in-usr-lib
nodejs-ast-types.src: W: spelling-error Summary(en_US) Esprima -> Esprit
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :3dd4db7759969d2a9c6ef00df67897790fd2bac00ebd5f4ba58bd186cc91cd45
upstream tarball :3dd4db7759969d2a9c6ef00df67897790fd2bac00ebd5f4ba58bd186cc91cd45

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED

Comment 2 Ralph Bean 2014-07-23 14:09:20 UTC
New Package SCM Request
=======================
Package Name: nodejs-ast-types
Short Description: Esprima-compatible implementation of the Mozilla JS Parser API
Upstream URL: https://npmjs.org/package/ast-types
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 14:21:04 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 17:12:11 UTC
nodejs-ast-types-0.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-ast-types-0.4.5-1.fc20

Comment 5 Fedora Update System 2014-07-23 17:12:21 UTC
nodejs-ast-types-0.4.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ast-types-0.4.5-1.fc19

Comment 6 Ralph Bean 2014-07-23 17:23:08 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:34:45 UTC
nodejs-ast-types-0.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:53:06 UTC
nodejs-ast-types-0.4.5-1.fc19 has been pushed to the Fedora 19 stable repository.